import { EventResolver, Resolve, NextCallback, ResolverOptions } from '@esydoc/share';
import ApiQACodeGenerator from './ApiQACodeGenerator';
import { CodeGenScheduler } from '@esydoc/plugin-codegen';
declare type QaApiConfig = {
    args: Array<any> | Array<any[]>;
    expect: any[];
    deps: string[];
    onDone?: NextCallback;
};
declare type QAResolve = Resolve<{
    pathPrefix: string;
}>;
export declare type QAResolverOptions = ResolverOptions<QAResolve>;
declare type QaInfo = {
    qa: QaApiConfig;
};
declare class ApiQACodeResolver extends EventResolver<CodeGenScheduler> {
    templateMap: {
        'hyext-qa-miniapp': string;
    };
    options: QAResolverOptions;
    scheduler: CodeGenScheduler;
    generator: ApiQACodeGenerator;
    check: (v: string) => boolean;
    constructor(options: QAResolverOptions);
    _selectApiConfig(apiConfig: null | QaInfo): {
        args: never[];
        deps: never[];
        onDone: undefined;
    };
    apply(scheduler: CodeGenScheduler): void;
}
export default ApiQACodeResolver;
