import { createLogger } from "@hyext/utils";
import { getTime } from "./shared";

const timestamp = Date.now()

const logger = createLogger({
  onAfter(logInfo) {
    global.hyExt.logger.info(logInfo.desc + ' ' + JSON.stringify(logInfo.data))
  },
  prefix () {
    return `qa-miniapp * date:${getTime()} sessionId:${timestamp} -`
  },
  enableLog() {
    if (global.__os !== 'web') return false
    return true
  }
})

export default logger